import request from '/@/utils/request';

export function workProcessApi() {
    return {
        // 分页获取检测列表
        getDetectionListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/process/detection/page/list`,
                method: 'post',
                data: data
            });
        },

        // 分页获取检查列表
        getCheckListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/process/check/page/list`,
                method: 'post',
                data: data
            });
        },

        // 检测上报
        postDetectionReport: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/process/detection/report`,
                method: 'post',
                data: data
            });
        },

        // 检查上报
        postCheckReport: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/process/check/report`,
                method: 'post',
                data: data
            });
        },

        // 获取可上报作业列表
        postReportList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/process/workApply/list`,
                method: 'post',
                data: data
            });
        },

        // 获取预警记录
        postAlertList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/process/warning/page/list`,
                method: 'post',
                data: data
            });
        },
    };
}
